Package org.apache.felix.http.base.internal.runtime.dto

# Class RuntimeDTOBuilder

java.lang.Object
org.apache.felix.http.base.internal.runtime.dto.RuntimeDTOBuilder

public final class RuntimeDTOBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`RuntimeDTOBuilder(RegistryRuntime registry, org.osgi.framework.dto.ServiceReferenceDTO srDTO)`

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.servlet.runtime.dto.RuntimeDTO`
`build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RuntimeDTOBuilder

public RuntimeDTOBuilder(RegistryRuntime registry, org.osgi.framework.dto.ServiceReferenceDTO srDTO)

## Method Details

### build

public org.osgi.service.servlet.runtime.dto.RuntimeDTO build()